Bulk create pipeline fields
Pipelines
Bulk create pipeline fields
Creates opportunity custom field definitions for a pipeline in bulk.
POST
Bulk create pipeline fields
Authorizations
Public API key for the Octolane organization.
Path Parameters
Pipeline ID.
Body
application/json
Array of field definitions to create. Maximum 100 items.
Required array length:
1 - 100 elementsExample:
"Customer Tier"
Available options:
string, number, checkbox, date, date_range, rating, timestamp, select, multi_select, currency, percentage, location, time, datetime, email, phone, website, url, radio, team_members Optional stable field key. If omitted, Octolane generates a unique property name.
Pattern:
^[a-z][a-z0-9_]*$Example:
"customer_tier"
Optional field metadata. For select fields, include select_options with label/value/color/order entries.
Required range:
x >= 1